## traverso 0.49.1

=== CMakeLists.txt ===
#CMAKE SETUP
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.3 FATAL_ERROR)

SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)
SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

IF(COMMAND CMAKE_POLICY)
	CMAKE_POLICY(SET CMP0005 NEW)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)


#PROJECT SETUP
PROJECT(traverso)
SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "49")
SET (VERSION_PATCH "1")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})

MESSAGE(STATUS "Traverso ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

OPTION(WANT_JACK    	"Include Jack (Jack Audio Connection Kit) support" ON)
OPTION(WANT_ALSA    	"Include ALSA (Advanced Linux Sound Architecture) support" ON)
OPTION(WANT_PORTAUDIO	"Include PortAudio support (Driver support for Mac OS X and Windows" OFF)
OPTION(WANT_PULSEAUDIO	"Include PulseAudio support (Driver support for Linux and Windows" OFF)
OPTION(WANT_COREAUDIO	"Include CoreAudio support (Driver support for Mac OS X" OFF)
OPTION(WANT_LV2		"Include LV2 Plugin support" ON)
OPTION(USE_SYSTEM_SLV2_LIBRARY "Use system installed slv2 library. If not found, the internal one is compiled and used which needs the rdf development headers" OFF)
OPTION(WANT_MP3_DECODE	"Include mp3 decoding support, for playing mp3 files" ON)
OPTION(WANT_MP3_ENCODE	"Include mp3 encoding support, for creating mp3 files" OFF)
OPTION(WANT_PCH     	"Use precompiled headers" OFF)
OPTION(WANT_DEBUG   	"Debug build" OFF)
# OPTION(WANT_OPENGL	"Build Traverso with OpenGL support" OFF)
OPTION(WANT_TRAVERSO_DEBUG "Provides 4 levels of debug ouput on the command line, always on for DEBUG builds" OFF)
OPTION(WANT_THREAD_CHECK	"Checks at runtime if functions are called from the correct thread, used by developers for debugging" OFF)
OPTION(WANT_VECLIB_OPTIMIZATIONS "Build with veclib optimizations (Only for PPC based Mac OS X)" OFF)
OPTION(AUTOPACKAGE_BUILD "Build traverso with autopackage tools" OFF)
OPTION(DETECT_HOST_CPU_FEATURES "Detect the feature set of the host cpu, and compile with an optimal set of compiler flags" ON)


SET(MAIN_DIR_NAME "src")
IF(TAG_VERSION)
  MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

IF(WIN32)
SET(WANT_LV2 OFF)
ENDIF(WIN32)

# Static build is perfectly fine now, targets are properly relinked when needed!
SET(TRAVERSO_DEFINES -DSTATIC_BUILD)

#BUILD SETUP
#None, Debug, Release, .. or custom ones
IF(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE DEBUG)
  SET(WANT_TRAVERSO_DEBUG ON)
ELSE(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE RELEASE)
  LIST(APPEND TRAVERSO_DEFINES -DQT_NO_DEBUG)
ENDIF(WANT_DEBUG)


IF(WANT_TRAVERSO_DEBUG)
  LIST(APPEND TRAVERSO_DEFINES -DUSE_DEBUGGER)
ENDIF(WANT_TRAVERSO_DEBUG)


# Moves the Traverso exec. to the root dir and libs to the root's lib dir.
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/lib)


# Add Mac build paths for DarwinPorts / MacPorts
# These need to be defined up here, above the include checks
IF(APPLE)
	INCLUDE_DIRECTORIES("/opt/local/include")
	SET (CMAKE_REQUIRED_INCLUDES "/opt/local/include")
	LINK_DIRECTORIES("/opt/local/lib")
ENDIF(APPLE)


SET(MINIMAL_ALSA_VERSION 1.0.0)
SET(MINIMAL_JACK_VERSION 0.100)
SET(MINIMAL_PORTAUDIO_VERSION 19)
SET(MINIMAL_SLV2_VERSION 0.6.1)
SET(MINIMAL_WAVPACK_VERSION 4.40.0)
SET(MINIMAL_OGG_VORBIS_VERSION 1.1.2)
SET(MINIMAL_MAD_VERSION 0.15.0)
SET(MINIMAL_FLAC_VERSION 1.1.2)
SET(MINIMAL_FFTW_VERSION 3.0.0)
SET(MINIMAL_REDLAND_VERSION 1.0.2)
SET(MINIMAL_PULSAUDIO_VERSION 0.9)
SET(HAVE_COREAUDIO FALSE)

SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -Wall ${CXX_FLAGS}")
SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -Wall -fPIC ${CXX_FLAGS}")

# Detect the flags to be used for large file support
execute_process(
	COMMAND getconf LFS_CFLAGS
	OUTPUT_VARIABLE getconf_invoke_result
	RESULT_VARIABLE getconf_failed
)

# remove linebrakes, white spaces (getconf_invoke_result)
string(REGEX REPLACE "[\r\n]"                  " " getconf_invoke_result "${getconf_invoke_result}")

# now we have the proper flags for large file support, so set these!
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${getconf_invoke_result}")
SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} ${getconf_invoke_result}")


INCLUDE (${CMAKE_ROOT}/Modules/TestBigEndian.cmake)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)


# Check for PKG-CONFIG
FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Program pkg-config not found")
ENDIF(PKG_CONFIG_FOUND)


#FIND DEPENDENCIES
SET (QT_MIN_VERSION "4.3.1")
FIND_PACKAGE(Qt4 REQUIRED)


include(${QT_USE_FILE})


INCLUDE (ConfigureChecks.cmake)

# IF(WANT_OPENGL)
# 	IF(QT_QTOPENGL_FOUND)
# 		LIST(APPEND TRAVERSO_DEFINES -DQT_OPENGL_SUPPORT) 
# 		SET(HAVE_OPENGL TRUE)
# 	ENDIF(QT_QTOPENGL_FOUND)
# ELSE(WANT_OPENGL)
# 	SET(HAVE_OPENGL FALSE)
# ENDIF(WANT_OPENGL)



IF(WANT_PORTAUDIO)
	CHECK_INCLUDE_FILE("portaudio.h" HAVE_PORTAUDIO_H)
	IF(NOT HAVE_PORTAUDIO_H)
		MESSAGE(FATAL_ERROR "PortAudio support requested, but PortAudio development headers could not be found!\nPlease install the PortAudio development package, remove CMakeCache.txt and run cmake again")
	ENDIF(NOT HAVE_PORTAUDIO_H)
	PKG_CHECK_MODULES(PORTAUDIO portaudio-2.0>=${MINIMAL_PORTAUDIO_VERSION})
	IF(PORTAUDIO_FOUND)
		LIST(APPEND TRAVERSO_DEFINES -DPORTAUDIO_SUPPORT)
		MESSAGE("-- PortAudio Library Found OK")
		SET(HAVE_PORTAUDIO TRUE)
	ENDIF(PORTAUDIO_FOUND)
ELSE(WANT_PORTAUDIO)
		SET(HAVE_PORTAUDIO FALSE)
ENDIF(WANT_PORTAUDIO)


IF(WANT_PULSEAUDIO)
	CHECK_INCLUDE_FILE("pulse/pulseaudio.h" HAVE_PULSEAUDIO_H)
	IF(NOT HAVE_PULSEAUDIO_H)
		MESSAGE(SEND_ERROR "PulseAudio support requested, but PulseAudio development headers could not be found!\nPlease install the PortAudio development package, remove CMakeCache.txt and run cmake again")
	ELSE(NOT HAVE_PULSEAUDIO_H)
		LIST(APPEND TRAVERSO_DEFINES -DPULSEAUDIO_SUPPORT)
		MESSAGE("-- PULSEAUDIO Library Found OK")
		SET(HAVE_PULSEAUDIO TRUE)
	ENDIF(NOT HAVE_PULSEAUDIO_H)
ELSE(WANT_PULSEAUDIO)
	SET(HAVE_PULSEAUDIO FALSE)
ENDIF(WANT_PULSEAUDIO)



IF(WANT_LV2)
	IF(USE_SYSTEM_SLV2_LIBRARY)
# 		CHECK_INCLUDE_FILE("slv2/slv2.h" HAVE_SLV2_H)
# 		IF(NOT HAVE_SLV2_H)
# 			MESSAGE(FATAL_ERROR "lv2 support requested, but slv2 development headers could not be found!\nPlease install the slv2 development package (Usually called libslv2-dev), remove CMakeCache.txt and run cmake again")
# 		ENDIF(NOT HAVE_SLV2_H)
		
		PKG_CHECK_MODULES(SLV2  libslv2>=${MINIMAL_SLV2_VERSION})
		IF (SLV2_FOUND)
			MESSAGE("-- slv2 Library Found OK")
			SET(HAVE_SYSTEM_SLV2 TRUE)
		ENDIF(SLV2_FOUND)
	ELSE(USE_SYSTEM_SLV2_LIBRARY)
		PKG_CHECK_MODULES(REDLAND  redland>=${MINIMAL_REDLAND_VERSION})
		IF (REDLAND_FOUND)
			MESSAGE("-- REDLAND Library Found OK")
			INCLUDE_DIRECTORIES(/usr/include/redland /usr/include/rasqal)
		ELSE(REDLAND_FOUND)
			MESSAGE("-- REDLAND Library not found with pkg-config, looking for headers now")
			INCLUDE_DIRECTORIES(/usr/include/redland /usr/include/rasqal)
			CHECK_INCLUDE_FILE("librdf.h" HAVE_LIBRDF_H)
			IF(NOT HAVE_LIBRDF_H)
				CHECK_INCLUDE_FILE("redland/librdf.h" HAVE_REDLAND_LIBRDF_H)
				IF(NOT HAVE_REDLAND_LIBRDF_H)
					MESSAGE(FATAL_ERROR "lv2 support requested using internal slv2 lib, but the needed rdf development headers could not be found!\nPlease install the rdf development package (Usually called librdf-dev), remove CMakeCache.txt and run cmake again")
				ENDIF(NOT HAVE_REDLAND_LIBRDF_H)
			ENDIF(NOT HAVE_LIBRDF_H)
			MESSAGE("-- REDLAND Library Found OK")
		ENDIF(REDLAND_FOUND)
		SET(USE_INTERNAL_SLV2_LIB TRUE)
	ENDIF(USE_SYSTEM_SLV2_LIBRARY)
	
	LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT) 
	SET(HAVE_SLV2 TRUE)
ELSE(WANT_LV2)
	SET(HAVE_SLV2 FALSE)
ENDIF(WANT_LV2)


CHECK_INCLUDE_FILE("wavpack/wavpack.h" HAVE_WAVPACK_H)
IF(NOT HAVE_WAVPACK_H)
	MESSAGE(FATAL_ERROR "WavPack development headers could not be found!\nPlease install the WavPack development package, remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_WAVPACK_H)
PKG_CHECK_MODULES(WAVPACK  wavpack>=${MINIMAL_WAVPACK_VERSION})
IF (WAVPACK_FOUND)
  MESSAGE("-- WavPack Library Found OK")
ELSE(WAVPACK_FOUND)
  MESSAGE(SEND_ERROR "No WavPack found (WavPack >= ${MINIMAL_WAVPACK_VERSION} needs to be installed!)")
ENDIF(WAVPACK_FOUND)


CHECK_INCLUDE_FILE("vorbis/vorbisfile.h" HAVE_VORBISFILE_H)
IF(NOT HAVE_VORBISFILE_H)
	MESSAGE(FATAL_ERROR "Ogg Vorbis development headers could not be found!\nPlease install the Ogg Vorbis development package, remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_VORBISFILE_H)
PKG_CHECK_MODULES(VORBIS  vorbis>=${MINIMAL_OGG_VORBIS_VERSION})
IF (VORBIS_FOUND)
  MESSAGE("-- Ogg Vorbis Library Found OK")
ELSE(VORBIS_FOUND)
  MESSAGE(SEND_ERROR "No Ogg Vorbis found (Ogg Vorbis >= ${MINIMAL_OGG_VORBIS_VERSION} needs to be installed!)")
ENDIF(VORBIS_FOUND)


CHECK_INCLUDE_FILE("FLAC/export.h" HAVE_FLAC_H)
IF(HAVE_FLAC_H)
	MESSAGE("-- FLAC Library Found OK")
ELSE(HAVE_FLAC_H)
	PKG_CHECK_MODULES(FLAC  flac>=${MINIMAL_FLAC_VERSION})
	IF (FLAC_FOUND)
		MESSAGE("-- FLAC Library Found OK")
	ELSE(FLAC_FOUND)
		MESSAGE(FATAL_ERROR "No FLAC found (FLAC >= ${MINIMAL_FLAC_VERSION} needs to be installed!)")
	ENDIF(FLAC_FOUND)
ENDIF(HAVE_FLAC_H)


IF(WANT_MP3_DECODE)
	CHECK_INCLUDE_FILE("mad.h" HAVE_MAD_H)
	IF(HAVE_MAD_H)
		SET(HAVE_MP3_DECODING TRUE)
		LIST(APPEND TRAVERSO_DEFINES -DMP3_DECODE_SUPPORT)
	ELSE(HAVE_MAD_H)
		PKG_CHECK_MODULES(MAD mad>=${MINIMAL_MAD_VERSION})
		IF(MAD_FOUND)
			SET(HAVE_MP3_DECODING TRUE)
			LIST(APPEND TRAVERSO_DEFINES -DMP3_DECODE_SUPPORT)
			MESSAGE("-- MP3 Decoding Library Found OK")
		ELSE(MAD_FOUND)
			MESSAGE(FATAL_ERROR "MP3 decoding support requested, but mp3 development headers (mad.h) could not be found!\nPlease install the mp3 development package (Usually called libmad0-dev), remove CMakeCache.txt and run cmake again")
		ENDIF(MAD_FOUND)
	ENDIF(HAVE_MAD_H)
ELSE(WANT_MP3_DECODE)
	SET(HAVE_MP3_DECODING FALSE)
ENDIF(WANT_MP3_DECODE)


IF(WANT_MP3_ENCODE)
	CHECK_INCLUDE_FILE("lame/lame.h" HAVE_LAME_H)
	IF(HAVE_LAME_H)
		LIST(APPEND TRAVERSO_DEFINES -DMP3_ENCODE_SUPPORT)
		MESSAGE("-- Building with mp3 encoding support enabled")
		SET(HAVE_MP3_ENCODING TRUE)
	ELSE(HAVE_LAME_H)
		MESSAGE(FATAL_ERROR "MP3 encoding support requested, but mp3 development headers (lame.h) could not be found!\nPlease install the lame development package (Usually called liblame-dev), remove CMakeCache.txt and run cmake again")
	ENDIF(HAVE_LAME_H)
ELSE(WANT_MP3_ENCODE)
	SET(HAVE_MP3_ENCODING FALSE)
ENDIF(WANT_MP3_ENCODE)


CHECK_INCLUDE_FILE("fftw3.h" HAVE_FFTW3_H)
IF(NOT HAVE_FFTW3_H)
	MESSAGE(FATAL_ERROR "FFTW3 development headers could not be found!\nPlease install the FFTW3 development package (fftw3-dev), remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_FFTW3_H)
PKG_CHECK_MODULES(FFTW3  fftw3>=${MINIMAL_FFTW_VERSION})
IF (FFTW3_FOUND)
  MESSAGE("-- FFTW3 Library Found OK")
ELSE(FFTW3_FOUND)
  MESSAGE(SEND_ERROR "No FFTW3 found (FFTW3 >= ${MINIMAL_FFTW_VERSION} needs to be installed!)")
ENDIF(FFTW3_FOUND)


CHECK_INCLUDE_FILE("sys/vfs.h" HAVE_SYS_VFS_H)
IF(HAVE_SYS_VFS_H)
	LIST(APPEND TRAVERSO_DEFINES -DHAVE_SYS_VFS_H)
ENDIF(HAVE_SYS_VFS_H)

CHECK_INCLUDE_FILE("sys/stat.h" HAVE_SYS_STAT_H)
IF(HAVE_SYS_STAT_H)
	LIST(APPEND TRAVERSO_DEFINES -DHAVE_SYS_STAT_H)
ENDIF(HAVE_SYS_STAT_H)


#Create configure files.. config.h

=== src/commands/CMakeLists.txt ===
ADD_SUBDIRECTORY(plugins ${TRAVERSO_BUILD_DIR})

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/traverso
${CMAKE_SOURCE_DIR}/src/sheetcanvas
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_COMMANDS_SOURCES
AudioClipExternalProcessing.cpp
AddRemove.cpp
ClipSelection.cpp
CommandGroup.cpp
Crop.cpp
ExternalProcessingDialog.cpp
Fade.cpp
Gain.cpp
Import.cpp
MoveClip.cpp
MoveEdge.cpp
PCommand.cpp
SplitClip.cpp
TrackPan.cpp
Zoom.cpp
Scroll.cpp
ArmTracks.cpp
PlayHeadMove.cpp
WorkCursorMove.cpp
RemoveClip.cpp
)

SET(TRAVERSO_COMMANDS_MOC_CLASSES
Crop.h
ExternalProcessingDialog.h
Gain.h
MoveClip.h
TrackPan.h
Zoom.h
)

SET(TRAVERSO_COMMANDS_UI_FILES
ui/ExternalProcessingDialog.ui
)

QT4_WRAP_CPP(TRAVERSO_COMMANDS_MOC_SOURCES ${TRAVERSO_COMMANDS_MOC_CLASSES})
QT4_WRAP_UI(TRAVERSO_COMMANDS_UI_SOURCES ${TRAVERSO_COMMANDS_UI_FILES})


SET(TRAVERSO_COMMANDS_LIBRARY "traversocommands")

ADD_LIBRARY(${TRAVERSO_COMMANDS_LIBRARY} STATIC  ${TRAVERSO_COMMANDS_SOURCES} ${TRAVERSO_COMMANDS_UI_SOURCES} ${TRAVERSO_COMMANDS_MOC_SOURCES})

TARGET_LINK_LIBRARIES(traversocommands
	traversocore
)

IF(USE_PCH)
    ADD_DEPENDENCIES(traversocommands precompiled_headers)
ENDIF(USE_PCH)

=== debian/changelog ===
traverso (0.49.1-3) unstable; urgency=low

  * Drop ALSA support on kfreebsd,hurd architectures; patch provided by
    Pino Toscano.
  * Drop flags already set by debhelper.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Jun 2010 19:35:57 +0200

traverso (0.49.1-2) unstable; urgency=low

  * Add patch to fix issues with Qt 4.6.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jun 2010 18:20:09 +0200

traverso (0.49.1-1) unstable; urgency=low

  * New upstream release (Closes: #521687).

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Jun 2010 20:07:05 +0200

traverso (0.49.0~rc1-2) unstable; urgency=low

  * Move maintainance under the umbrella of pkg-multimedia team.
  * debian/control:
    - Add Vcs-* fields.
    - Wrap long lines.
    - Bump Standards.
  * Add watch file.
  * Switch to 3.0 (quilt) format.
  * Switch to debhelper 7:
    - debian/{control,rules}:
      + Use cmake helper.
  * Changes of the latest NMU is a quilt patch now.
  * Add patch to suppress CMake warnings (Closes: #534033).
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Jun 2010 20:04:21 +0200

traverso (0.49.0~rc1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing #include for gcc 4.4, patch by Martin Michlmayr.
    (Closes: #505390)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 20 Jan 2010 14:12:17 +0100

traverso (0.49.0~rc1-1) unstable; urgency=low

  * New upstream version.
  * Update build systems to cmake in debian/rules.
  * Bump standards version.
  * Bump debhelper version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 02 Mar 2009 09:37:09 +0100

traverso (0.42.0-3) unstable; urgency=low

  * Disable SSE2 in src/base.pri. (Closes: #467096)
  * Added libqt4-opengl-dev to build-depends. (Closes: #479894)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 04 Jun 2008 07:42:32 +0200

traverso (0.42.0-2) unstable; urgency=low

  * Disable optimized build. (Closes: #467096)
  * Applied patch to fix FTBFS with gcc 4.3. (Closes: #456062)
    Thanks Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>.
  * Calling qmake-qt4 in debian/rules. (Closes: #456419)
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 05 Apr 2008 14:27:02 +0200

traverso (0.42.0-1) unstable; urgency=low

  * New upstream version.
    + Updated build-depends.
  * debian/control: Bump standards version.
  * debian/rules: Call dh_desktop.
  * Added Debian Multimedia to Uploaders.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 10 Dec 2007 16:49:45 +0100

traverso (0.41.0-1) unstable; urgency=low

  * Initial release. (Closes: #431868)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 05 Nov 2007 21:29:49 +0100

=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7.3.7~),
 libqt4-dev,
 libsamplerate0-dev,
 librdf0-dev,
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libjack-dev,
 libsndfile1-dev,
 libfftw3-dev,
 libmad0-dev,
 libogg-dev,
 libwavpack-dev,
 libvorbis-dev,
 libflac++-dev,
 libqt4-opengl-dev,
 cmake
Standards-Version: 3.8.4
Homepage: http://traverso-daw.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/traverso.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/traverso.git

Package: traverso
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing 
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.

## traverso 0.49.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 PROJECT(traverso)
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "49")
-SET (VERSION_PATCH "1")
+SET (VERSION_PATCH "2")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(engine)
ADD_SUBDIRECTORY(audiofileio)
ADD_SUBDIRECTORY(commands)
ADD_SUBDIRECTORY(core)
ADD_SUBDIRECTORY(3rdparty)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(sheetcanvas)
ADD_SUBDIRECTORY(traverso)

IF(USE_PCH)
    ADD_PRECOMPILED_HEADER(precompiled_headers precompile.h)
ENDIF(USE_PCH)

=== src/engine/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${QT_QTGUI_INCLUDE_DIR}
)

SET(TRAVERSO_ENGINE_MOC_CLASSES
AudioBus.h
AudioDevice.h
Client.h
)

SET(TRAVERSO_ENGINE_SOURCES
AudioBus.cpp
AudioChannel.cpp
AudioDevice.cpp
AudioDeviceThread.cpp
Client.cpp
Driver.cpp
memops.cpp
)

IF(HAVE_ALSA)
	SET(TRAVERSO_ENGINE_SOURCES
	AlsaDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_ALSA)

IF(HAVE_JACK)
	SET(TRAVERSO_ENGINE_SOURCES
	JackDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
	SET(TRAVERSO_ENGINE_MOC_CLASSES
	JackDriver.h
	${TRAVERSO_ENGINE_MOC_CLASSES}
	)
ENDIF(HAVE_JACK)

IF(HAVE_PORTAUDIO)
	SET(TRAVERSO_ENGINE_SOURCES
	PADriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_PORTAUDIO)

IF(HAVE_PULSEAUDIO)
	SET(TRAVERSO_ENGINE_SOURCES
	PulseAudioDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_PULSEAUDIO)


IF(HAVE_COREAUDIO)
	SET(TRAVERSO_ENGINE_SOURCES
	CoreAudioDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_COREAUDIO)


SET(TRAVERSO_ENGINE_LIBRARY "traversoaudiobackend")

QT4_WRAP_CPP(TRAVERSO_ENGINE_MOC_SOURCES ${TRAVERSO_ENGINE_MOC_CLASSES})

ADD_LIBRARY(${TRAVERSO_ENGINE_LIBRARY} STATIC ${TRAVERSO_ENGINE_SOURCES} ${TRAVERSO_ENGINE_MOC_SOURCES})

IF(USE_PCH)
    ADD_DEPENDENCIES(traversoaudiobackend precompiled_headers)
ENDIF(USE_PCH)

=== src/plugins/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/plugins/native
${CMAKE_SOURCE_DIR}/src/plugins/LV2
${QT_QTXML_INCLUDE_DIR}
)

IF(USE_INTERNAL_SLV2_LIB)
	INCLUDE_DIRECTORIES(
	${CMAKE_SOURCE_DIR}/src/3rdparty/slv2
	)
ENDIF(USE_INTERNAL_SLV2_LIB)

SET(TRAVERSO_PLUGINS_SOURCES
PluginChain.cpp
Plugin.cpp
PluginManager.cpp
PluginSlider.cpp
native/CorrelationMeter.cpp
native/SpectralMeter.cpp
native/GainEnvelope.cpp
PluginPropertiesDialog.cpp
)

SET(TRAVERSO_PLUGINS_MOC_CLASSES
Plugin.h
PluginChain.h
PluginPropertiesDialog.h
PluginSlider.h
native/CorrelationMeter.h
native/GainEnvelope.h
native/SpectralMeter.h
)

IF(HAVE_SLV2)
	SET(TRAVERSO_PLUGINS_SOURCES
	${TRAVERSO_PLUGINS_SOURCES}
	LV2/LV2Plugin.cpp
	)
	SET(TRAVERSO_PLUGINS_MOC_CLASSES
	${TRAVERSO_PLUGINS_MOC_CLASSES}
	LV2/LV2Plugin.h
	)
ENDIF(HAVE_SLV2)

QT4_WRAP_CPP(TRAVERSO_PLUGINS_MOC_SOURCES ${TRAVERSO_PLUGINS_MOC_CLASSES})

SET(TRAVERSO_PLUGINS_LIBRARY "traversoplugins")


ADD_LIBRARY(${TRAVERSO_PLUGINS_LIBRARY} STATIC ${TRAVERSO_PLUGINS_SOURCES} ${TRAVERSO_PLUGINS_MOC_SOURCES})

IF(USE_PCH)
    ADD_DEPENDENCIES(traversoplugins precompiled_headers)
ENDIF(USE_PCH)

=== src/3rdparty/slv2/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
)

SET(TRAVERSO_SLV2_SOURCES
src/plugin.c
src/pluginclass.c
src/pluginclasses.c
src/plugininstance.c
src/plugins.c
src/pluginui.c
src/pluginuiinstance.c
src/pluginuis.c
src/port.c
src/query.c
src/scalepoint.c
src/scalepoints.c
src/util.c
src/value.c
src/values.c
src/world.c
)




SET(CMAKE_C_FLAGS_DEBUG "-std=c99")
SET(CMAKE_C_FLAGS_RELEASE "-std=c99")

SET(TRAVERSO_SLV2_LIBRARY "traversoslv2")


ADD_LIBRARY(${TRAVERSO_SLV2_LIBRARY} STATIC ${TRAVERSO_SLV2_SOURCES})

=== src/commands/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(TraversoCommands)

=== debian/changelog ===
traverso (0.49.2-6) unstable; urgency=low

  * Team upload.
  * Remove myself from the uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Oct 2013 13:33:46 +0100

traverso (0.49.2-5) unstable; urgency=low

  * Avoid FTBFS with GCC 4.7 by fixing missing <unistd.h> includes.
    Thanks to Matthias Klose for the report, Cyril Brulebois for
    the patch. (Closes: #667398)

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 May 2012 17:27:27 -0700

traverso (0.49.2-4) unstable; urgency=low

  * Enable MP3 encoding support.

 -- Alessio Treglia <alessio@debian.org>  Sat, 30 Jul 2011 12:03:43 +0200

traverso (0.49.2-3) unstable; urgency=low

  * Force CMake to find raptor2's headers (Closes: #618142).
  * Enable parallel build, use DH8-compat syntax "dh $@ --with foo".
  * debian/gbp.conf: Add sign-tags
  * debian/control:
    - Remove trailing whitespace.
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 16:10:58 +0200

traverso (0.49.2-2) unstable; urgency=low

  * Build against the version of SLV2 provided by the system:
    - Build-depend on libslv2-dev.
    - Configure with -DUSE_SYSTEM_SLV2_LIBRARY=ON.
    - SLV's pkgconfig file is slv.pc (and not libslv2.pc).
    - Force to include /usr/include/rasqal to prevent FTBFS.  
  * Install application icons (Closes: #598795).
  * debian/docs:
    - Install resources/help.text as quick reference, remove
      README file which is unnecessary at all.
  * Append -ldl to linker's flags to prevent FTBFS with binutils-gold.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Dec 2010 10:31:25 +0100

traverso (0.49.2-1) unstable; urgency=low

  * Imported Upstream version 0.49.2:
    - Make Traverso work with Qt version >= 4.6.2.
    - Correctly apply Fade In and Out curves.
    - Bump compatibility with cmake up to 2.6.4.
    - Add Spanish translation.
  * Add .gitignore file
  * Add git-buildpackage configuration file.
  * Dropped patches adopted by upstream.
  * Update Standards to 3.9.1.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Aug 2010 15:24:16 +0200

=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends:
 cmake,
 debhelper (>= 7.3.7~),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libfftw3-dev,
 libflac++-dev,
 libjack-dev,
 libmad0-dev,
 libmp3lame-dev,
 libogg-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 librdf0-dev,
 libsamplerate0-dev,
 libslv2-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libwavpack-dev
Standards-Version: 3.9.2
Homepage: http://traverso-daw.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/traverso.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/traverso.git

Package: traverso
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
cmake_extra_args += -DWANT_ALSA=OFF
endif

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
	-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
	-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
	-DUSE_SYSTEM_SLV2_LIBRARY=ON \
	-DWANT_MP3_ENCODE=ON \
	$(cmake_extra_args)

override_dh_install:
	dh_install debian/*.desktop usr/share/applications/

## traverso 0.49.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #CMAKE SETUP
 #Require 2.4.2 for Qt finding
 #Require 2.4.3 for moc change detection
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4.3 FATAL_ERROR)
+#Require 2.4.6 for FindPkgConfig.cmake
+CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6 FATAL_ERROR)
 
 SET(CMAKE_COLOR_MAKEFILE ON)
 SET(CMAKE_VERBOSE_MAKEFILE ON)
@@ -19,7 +20,7 @@
 PROJECT(traverso)
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "49")
-SET (VERSION_PATCH "2")
+SET (VERSION_PATCH "4")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 
@@ -31,7 +32,6 @@
 OPTION(WANT_PULSEAUDIO	"Include PulseAudio support (Driver support for Linux and Windows" OFF)
 OPTION(WANT_COREAUDIO	"Include CoreAudio support (Driver support for Mac OS X" OFF)
 OPTION(WANT_LV2		"Include LV2 Plugin support" ON)
-OPTION(USE_SYSTEM_SLV2_LIBRARY "Use system installed slv2 library. If not found, the internal one is compiled and used which needs the rdf development headers" OFF)
 OPTION(WANT_MP3_DECODE	"Include mp3 decoding support, for playing mp3 files" ON)
 OPTION(WANT_MP3_ENCODE	"Include mp3 encoding support, for creating mp3 files" OFF)
 OPTION(WANT_PCH     	"Use precompiled headers" OFF)
@@ -98,13 +98,11 @@
 SET(MINIMAL_ALSA_VERSION 1.0.0)
 SET(MINIMAL_JACK_VERSION 0.100)
 SET(MINIMAL_PORTAUDIO_VERSION 19)
-SET(MINIMAL_SLV2_VERSION 0.6.1)
 SET(MINIMAL_WAVPACK_VERSION 4.40.0)
 SET(MINIMAL_OGG_VORBIS_VERSION 1.1.2)
 SET(MINIMAL_MAD_VERSION 0.15.0)
 SET(MINIMAL_FLAC_VERSION 1.1.2)
 SET(MINIMAL_FFTW_VERSION 3.0.0)
-SET(MINIMAL_REDLAND_VERSION 1.0.2)
 SET(MINIMAL_PULSAUDIO_VERSION 0.9)
 SET(HAVE_COREAUDIO FALSE)
 
@@ -192,41 +190,26 @@
 
 
 IF(WANT_LV2)
-	IF(USE_SYSTEM_SLV2_LIBRARY)
-# 		CHECK_INCLUDE_FILE("slv2/slv2.h" HAVE_SLV2_H)
-# 		IF(NOT HAVE_SLV2_H)
-# 			MESSAGE(FATAL_ERROR "lv2 support requested, but slv2 development headers could not be found!\nPlease install the slv2 development package (Usually called libslv2-dev), remove CMakeCache.txt and run cmake again")
-# 		ENDIF(NOT HAVE_SLV2_H)
-		
-		PKG_CHECK_MODULES(SLV2  libslv2>=${MINIMAL_SLV2_VERSION})
-		IF (SLV2_FOUND)
-			MESSAGE("-- slv2 Library Found OK")
-			SET(HAVE_SYSTEM_SLV2 TRUE)
-		ENDIF(SLV2_FOUND)
-	ELSE(USE_SYSTEM_SLV2_LIBRARY)
-		PKG_CHECK_MODULES(REDLAND  redland>=${MINIMAL_REDLAND_VERSION})
-		IF (REDLAND_FOUND)
-			MESSAGE("-- REDLAND Library Found OK")
-			INCLUDE_DIRECTORIES(/usr/include/redland /usr/include/rasqal)
-		ELSE(REDLAND_FOUND)
-			MESSAGE("-- REDLAND Library not found with pkg-config, looking for headers now")
-			INCLUDE_DIRECTORIES(/usr/include/redland /usr/include/rasqal)
-			CHECK_INCLUDE_FILE("librdf.h" HAVE_LIBRDF_H)
-			IF(NOT HAVE_LIBRDF_H)
-				CHECK_INCLUDE_FILE("redland/librdf.h" HAVE_REDLAND_LIBRDF_H)
-				IF(NOT HAVE_REDLAND_LIBRDF_H)
-					MESSAGE(FATAL_ERROR "lv2 support requested using internal slv2 lib, but the needed rdf development headers could not be found!\nPlease install the rdf development package (Usually called librdf-dev), remove CMakeCache.txt and run cmake again")
-				ENDIF(NOT HAVE_REDLAND_LIBRDF_H)
-			ENDIF(NOT HAVE_LIBRDF_H)
-			MESSAGE("-- REDLAND Library Found OK")
-		ENDIF(REDLAND_FOUND)
-		SET(USE_INTERNAL_SLV2_LIB TRUE)
-	ENDIF(USE_SYSTEM_SLV2_LIBRARY)
-	
-	LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT) 
-	SET(HAVE_SLV2 TRUE)
+        IF(PKG_CONFIG_FOUND)
+                PKG_CHECK_MODULES(LIBLILV lilv-0>=0.4.4)
+                IF (LIBLILV_FOUND)
+                    MESSAGE("-- LILV Library Found OK")
+                    INCLUDE_DIRECTORIES(${LIBLILV_INCLUDE_DIRS})
+                    SET (LV2_SUPPORT TRUE)
+                    SET(HAVE_LILV TRUE)
+                ELSE (LIBLILV_FOUND)
+                    MESSAGE("LILV support disabled")
+                    SET (LV2_SUPPORT FALSE)
+                    SET(HAVE_LILV FALSE)
+                ENDIF (LIBLILV_FOUND)
+        ENDIF(PKG_CONFIG_FOUND)
+
+
+        LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT)
+        SET(SLV2OPTIONS "${HAVE_LILV}")
 ELSE(WANT_LV2)
-	SET(HAVE_SLV2 FALSE)
+        SET(HAVE_LILV FALSE)
+        SET (LV2_SUPPORT FALSE)
 ENDIF(WANT_LV2)
 
 
@@ -325,3 +308,49 @@
 
 
 #Create configure files.. config.h
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)
+
+
+#uninstall
+CONFIGURE_FILE(
+  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+  IMMEDIATE @ONLY)
+
+ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+
+
+#Set up include dirs with all found packages
+INCLUDE_DIRECTORIES(
+${CMAKE_SOURCE_DIR}/src/common
+${QT_INCLUDE_DIR}
+${QT_QTCORE_INCLUDE_DIR}
+)
+
+
+#Set up libraries to link with all found packages
+LINK_LIBRARIES (
+${QT_QT_LIBRARY}
+)
+
+
+CHECK_FUNCTION_EXISTS(posix_memalign HAVE_POSIX_MEMALIGN)
+IF(NOT HAVE_POSIX_MEMALIGN)
+	LIST(APPEND TRAVERSO_DEFINES -DNO_POSIX_MEMALIGN)
+	MESSAGE("Did not find posix_memalign(), using malloc")
+ENDIF(NOT HAVE_POSIX_MEMALIGN)
+
+
+CHECK_FUNCTION_EXISTS(mlock HAVE_MLOCK)
+IF(HAVE_MLOCK)
+	LIST(APPEND TRAVERSO_DEFINES -DUSE_MLOCK)
+ENDIF(HAVE_MLOCK)
+
+
+
+IF(UNIX)
+	
+#BEGIN Mac OS X section
+	IF(APPLE)
+		# Detect if we want native Mac OS X support (CoreAudio)
+		# and if we can build with it.

=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ADD_SUBDIRECTORY(plugins ${TRAVERSO_BUILD_DIR})
+ADD_SUBDIRECTORY(plugins)
 
 INCLUDE_DIRECTORIES(
 ${CMAKE_SOURCE_DIR}/src/commands

=== src/core/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/audiofileio/decode
${CMAKE_SOURCE_DIR}/src/audiofileio/encode
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_CORE_SOURCES
${CMAKE_SOURCE_DIR}/src/common/Utils.cpp
${CMAKE_SOURCE_DIR}/src/common/Tsar.cpp
${CMAKE_SOURCE_DIR}/src/common/Debugger.cpp
${CMAKE_SOURCE_DIR}/src/common/Mixer.cpp
${CMAKE_SOURCE_DIR}/src/common/RingBuffer.cpp
${CMAKE_SOURCE_DIR}/src/common/Resampler.cpp
AudioClip.cpp
AudioClipGroup.cpp
AudioClipManager.cpp
AudioFileCopyConvert.cpp
AudioFileMerger.cpp
AudioSource.cpp
Command.cpp
Config.cpp
ContextPointer.cpp
Curve.cpp
CurveNode.cpp
DiskIO.cpp
Export.cpp
FadeCurve.cpp
FileHelpers.cpp
Information.cpp
InputEngine.cpp
Peak.cpp
Project.cpp
ProjectManager.cpp
ReadSource.cpp
ResourcesManager.cpp
Sheet.cpp
Track.cpp
ViewPort.cpp
WriteSource.cpp
gdither.cpp
SnapList.cpp
Snappable.cpp
TimeLine.cpp
Marker.cpp
Themer.cpp
ProjectConverter.cpp
)

SET(TRAVERSO_CORE_MOC_CLASSES
${CMAKE_SOURCE_DIR}/src/common/Tsar.h
AudioClip.h
AudioClipManager.h
AudioFileMerger.h
AudioFileCopyConvert.h
Config.h
ContextPointer.h
Curve.h
DiskIO.h
Export.h
FadeCurve.h
Information.h
Marker.h
Peak.h
Project.h
ProjectConverter.h
ProjectManager.h
ReadSource.h
ResourcesManager.h
Sheet.h
Themer.h
TimeLine.h
Track.h
ViewPort.h
WriteSource.h
ContextItem.h
InputEngine.h
CommandPlugin.h
)

QT4_WRAP_CPP(TRAVERSO_CORE_MOC_SOURCES ${TRAVERSO_CORE_MOC_CLASSES})

IF(UNIX)
	IF(HOST_SUPPORTS_SSE)
		IF(IS_ARCH_X86)
			SET(ASM_FILE ${CMAKE_SOURCE_DIR}/src/common/sse_functions.S)
		ENDIF(IS_ARCH_X86)
		IF(IS_ARCH_X86_64)
			SET(ASM_FILE ${CMAKE_SOURCE_DIR}/src/common/sse_functions_64bit.S)
		ENDIF(IS_ARCH_X86_64)
		
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sse_functions.o
			COMMAND as ${ASM_FILE} -o ${CMAKE_CURRENT_BINARY_DIR}/sse_functions.o
			DEPENDS ${ASM_FILE}
		)
		SET(SSE_OBJECT_FILE ${CMAKE_CURRENT_BINARY_DIR}/sse_functions.o)
	ENDIF(HOST_SUPPORTS_SSE)
ENDIF(UNIX)


SET(TRAVERSO_CORE_LIBRARY "traversocore")

ADD_LIBRARY(${TRAVERSO_CORE_LIBRARY} STATIC ${TRAVERSO_CORE_SOURCES} ${TRAVERSO_CORE_MOC_SOURCES} ${SSE_OBJECT_FILE})

IF(USE_PCH)
    ADD_DEPENDENCIES(traversocore precompiled_headers)
ENDIF(USE_PCH)

=== src/engine/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SET(TRAVERSO_ENGINE_MOC_CLASSES
 AudioBus.h
 AudioDevice.h
-Client.h
+TAudioDeviceClient.h
 )
 
 SET(TRAVERSO_ENGINE_SOURCES
@@ -13,7 +13,7 @@
 AudioChannel.cpp
 AudioDevice.cpp
 AudioDeviceThread.cpp
-Client.cpp
+TAudioDeviceClient.cpp
 Driver.cpp
 memops.cpp
 )

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,6 @@
 ${CMAKE_SOURCE_DIR}/src/plugins/LV2
 ${QT_QTXML_INCLUDE_DIR}
 )
-
-IF(USE_INTERNAL_SLV2_LIB)
-	INCLUDE_DIRECTORIES(
-	${CMAKE_SOURCE_DIR}/src/3rdparty/slv2
-	)
-ENDIF(USE_INTERNAL_SLV2_LIB)
 
 SET(TRAVERSO_PLUGINS_SOURCES
 PluginChain.cpp
@@ -35,7 +29,7 @@
 native/SpectralMeter.h
 )
 
-IF(HAVE_SLV2)
+IF(HAVE_LILV)
 	SET(TRAVERSO_PLUGINS_SOURCES
 	${TRAVERSO_PLUGINS_SOURCES}
 	LV2/LV2Plugin.cpp
@@ -44,7 +38,7 @@
 	${TRAVERSO_PLUGINS_MOC_CLASSES}
 	LV2/LV2Plugin.h
 	)
-ENDIF(HAVE_SLV2)
+ENDIF(HAVE_LILV)
 
 QT4_WRAP_CPP(TRAVERSO_PLUGINS_MOC_SOURCES ${TRAVERSO_PLUGINS_MOC_CLASSES})

=== src/sheetcanvas/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${CMAKE_SOURCE_DIR}/src/plugins/LV2
${CMAKE_SOURCE_DIR}/src/3rdparty/slv2
${CMAKE_SOURCE_DIR}/src/traverso
${CMAKE_SOURCE_DIR}/src/traverso/dialogs
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)

# IF(HAVE_OPENGL)
# INCLUDE_DIRECTORIES(
# ${QT_QTOPENGL_INCLUDE_DIR}
# )
# ENDIF(HAVE_OPENGL)

SET(TRAVERSO_SONGCANVAS_SOURCES
AudioClipView.cpp
ClipsViewPort.cpp
Cursors.cpp
CurveNodeView.cpp
CurveView.cpp
FadeView.cpp
MarkerView.cpp
PluginChainView.cpp
PluginView.cpp
PositionIndicator.cpp
SheetView.cpp
SheetWidget.cpp
TimeLineView.cpp
TimeLineViewPort.cpp
TrackPanelView.cpp
TrackPanelViewPort.cpp
TrackView.cpp
ViewItem.cpp
dialogs/AudioClipEditDialog.cpp
)

SET(TRAVERSO_SONGCANVAS_MOC_CLASSES
AudioClipView.h
ClipsViewPort.h
Cursors.h
CurveNodeView.h
FadeView.h
MarkerView.h
PluginChainView.h
PluginView.h
PositionIndicator.h
TrackView.h
ViewItem.h
dialogs/AudioClipEditDialog.h
CurveView.h
SheetView.h
SheetWidget.h
TrackPanelView.h
TimeLineView.h
LineView.h
)

SET(TRAVERSO_SONGCANVAS_UI_FILES
ui/AudioClipEditDialog.ui
)

QT4_WRAP_CPP(TRAVERSO_SONGCANVAS_MOC_SOURCES ${TRAVERSO_SONGCANVAS_MOC_CLASSES})
QT4_WRAP_UI(TRAVERSO_SONGCANVAS_UI_SOURCES ${TRAVERSO_SONGCANVAS_UI_FILES})


SET(TRAVERSO_SONGCANVAS_LIBRARY "traversosheetcanvas")

ADD_LIBRARY(${TRAVERSO_SONGCANVAS_LIBRARY} STATIC 
	${TRAVERSO_SONGCANVAS_SOURCES} 
	${TRAVERSO_SONGCANVAS_MOC_SOURCES} 
	${TRAVERSO_SONGCANVAS_UI_SOURCES}
)

IF(USE_PCH)
    ADD_DEPENDENCIES(traversosheetcanvas precompiled_headers)
ENDIF(USE_PCH)

=== src/traverso/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/audiofileio/decode
${CMAKE_SOURCE_DIR}/src/audiofileio/encode
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/LV2
${CMAKE_SOURCE_DIR}/src/plugins/native
${CMAKE_SOURCE_DIR}/src/sheetcanvas
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)


SET(TRAVERSO_GUI_SOURCES
${CMAKE_SOURCE_DIR}/src/common/fpu.cc
Main.cpp
Interface.cpp
Traverso.cpp
dialogs/settings/Pages.cpp
dialogs/settings/SettingsDialog.cpp
dialogs/project/ProjectManagerDialog.cpp
dialogs/InsertSilenceDialog.cpp
dialogs/MarkerDialog.cpp
dialogs/BusSelectorDialog.cpp
dialogs/project/NewSheetDialog.cpp
dialogs/project/NewProjectDialog.cpp
dialogs/project/OpenProjectDialog.cpp
dialogs/project/NewTrackDialog.cpp
dialogs/project/ImportClipsDialog.cpp
dialogs/RestoreProjectBackupDialog.cpp
dialogs/PluginSelectorDialog.cpp
dialogs/ProjectConverterDialog.cpp
dialogs/ExportDialog.cpp
dialogs/CDWritingDialog.cpp
widgets/BusMonitor.cpp
widgets/CorrelationMeterWidget.cpp
widgets/ExportFormatOptionsWidget.cpp
widgets/InfoWidgets.cpp
widgets/MessageWidget.cpp
widgets/MeterWidget.cpp
widgets/ResourcesWidget.cpp
widgets/SpectralMeterWidget.cpp
widgets/TransportConsoleWidget.cpp
widgets/VUMeter.cpp
)

SET(TRAVERSO_UI_FILES
ui/AudioSourcesManagerWidget.ui
ui/ExportFormatOptionsWidget.ui
ui/SpectralMeterConfigWidget.ui
ui/AudioDriverConfigPage.ui
ui/AlsaDevicesPage.ui
ui/PaDriverPage.ui
ui/KeyboardConfigPage.ui
ui/BehaviorConfigPage.ui
ui/RecordingConfigPage.ui
ui/AppearenceConfigPage.ui
ui/PerformanceConfigPage.ui
ui/SheetManagerDialog.ui
ui/ProjectManagerDialog.ui
ui/QuickStart.ui
ui/MarkerDialog.ui
ui/BusSelectorDialog.ui
ui/OpenProjectDialog.ui
ui/NewProjectDialog.ui
ui/NewSheetDialog.ui
ui/NewTrackDialog.ui
ui/ResourcesWidget.ui
ui/InsertSilenceDialog.ui
ui/RestoreProjectBackupDialog.ui
ui/ProjectConverterDialog.ui
ui/ExportDialog.ui
ui/CDWritingDialog.ui
ui/ImportClipsDialog.ui
)

SET(TRAVERSO_GUI_MOC_CLASSES
Interface.h
Traverso.h
dialogs/BusSelectorDialog.h
dialogs/CDWritingDialog.h
dialogs/ExportDialog.h
dialogs/InsertSilenceDialog.h
dialogs/MarkerDialog.h
dialogs/PluginSelectorDialog.h
dialogs/ProjectConverterDialog.h
dialogs/RestoreProjectBackupDialog.h
dialogs/project/NewSheetDialog.h
dialogs/project/NewTrackDialog.h
dialogs/project/NewProjectDialog.h
dialogs/project/ImportClipsDialog.h
dialogs/project/OpenProjectDialog.h
dialogs/project/ProjectManagerDialog.h
dialogs/settings/SettingsDialog.h
dialogs/settings/Pages.h
widgets/BusMonitor.h
widgets/CorrelationMeterWidget.h
widgets/ExportFormatOptionsWidget.h
widgets/InfoWidgets.h
widgets/ResourcesWidget.h
widgets/MessageWidget.h
widgets/MeterWidget.h
widgets/SpectralMeterWidget.h
widgets/TransportConsoleWidget.h
widgets/VUMeter.h
)

QT4_ADD_RESOURCES(TRAVERSO_RESOURCES
../../resources/traverso.qrc
)
QT4_WRAP_CPP(TRAVERSO_GUI_MOC_SOURCES ${TRAVERSO_GUI_MOC_CLASSES})
QT4_WRAP_UI(TRAVERSO_GUI_UI_SOURCES ${TRAVERSO_UI_FILES})

IF(AUTOPACKAGE_BUILD)
	find_program(RELAYTOOL_EXECUTABLE NAMES relaytool)
	
	IF(RELAYTOOL_EXECUTABLE)
		
		execute_process(
			COMMAND relaytool --multilink libjack.so.0 libjack-0.100.0.so.0 --relay jack -ljack
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(JACK_STUB ../../${relaytool_invoke_result})
	
		execute_process(
			COMMAND relaytool --relay FLAC -lFLAC
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(FLAC_STUB ../../${relaytool_invoke_result})
	
		execute_process(
			COMMAND relaytool --relay mad -lmad
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(MAD_STUB ../../${relaytool_invoke_result})
	
		execute_process(
			COMMAND relaytool --relay mp3lame -lmp3lame
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(LAME_STUB ../../${relaytool_invoke_result})
	
		execute_process(
			COMMAND relaytool --relay ogg -logg
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(OGG_STUB ../../${relaytool_invoke_result})
	
		execute_process(
			COMMAND relaytool --relay vorbis -lvorbis
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(VORBIS_STUB ../../${relaytool_invoke_result})
	
		execute_process(
			COMMAND relaytool --relay vorbisfile -lvorbisfile
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(VORBISFILE_STUB ../../${relaytool_invoke_result})
		
		execute_process(
			COMMAND relaytool --relay vorbisenc -lvorbisenc
			OUTPUT_VARIABLE relaytool_invoke_result
			RESULT_VARIABLE relaytool_failed
		)
		string(REGEX REPLACE "\n" "" relaytool_invoke_result "${relaytool_invoke_result}")
		string(REGEX REPLACE " +$" "" relaytool_invoke_result "${relaytool_invoke_result}")
		SET(VORBIS_ENC_STUB ../../${relaytool_invoke_result})
		
		MESSAGE(${VORBIS_ENC_STUB})
	
	ENDIF(RELAYTOOL_EXECUTABLE)

ELSE(AUTOPACKAGE_BUILD)
	SET(JACK_LIB jack)
	SET(FLAC_LIB FLAC)
	SET(MAD_LIB mad)
	SET(LAME_LIB mp3lame)
	SET(OGG_LIB ogg)
	SET(VORBIS_LIB vorbis)
	SET(VORBIS_FILE_LIB vorbisfile)
	SET(VORBIS_ENC_LIB vorbisenc)
ENDIF(AUTOPACKAGE_BUILD)

ADD_EXECUTABLE(traverso
    ${TRAVERSO_GUI_SOURCES}
    ${TRAVERSO_GUI_UI_SOURCES}
    ${TRAVERSO_GUI_MOC_SOURCES}
    ${TRAVERSO_RESOURCES}
    ${JACK_STUB}
    ${FLAC_STUB}
    ${MAD_STUB}
    ${LAME_STUB}
    ${OGG_STUB}
    ${VORBIS_STUB}
    ${VORBISFILE_STUB}
    ${VORBIS_ENC_STUB}
)

TARGET_LINK_LIBRARIES(traverso
	${QT_LIBRARIES}
	${QT_QTXML_LIBRARY}
	traversosheetcanvas
	traversocore
	traversoaudiofileio
	traversoaudiobackend
	traversoplugins
	tcp_traversocommands
	traversocommands
	samplerate
	sndfile
	wavpack
	${OGG_LIB}
	${VORBIS_LIB}
	${VORBIS_FILE_LIB}
	${VORBIS_ENC_LIB}
	${FLAC_LIB}
	fftw3
# 	rt
)

IF(HAVE_PORTAUDIO)
	TARGET_LINK_LIBRARIES(traverso
		portaudio
	)
ENDIF(HAVE_PORTAUDIO)

IF(HAVE_PULSEAUDIO)
	TARGET_LINK_LIBRARIES(traverso
		pulse
	)
ENDIF(HAVE_PULSEAUDIO)

IF(HAVE_LILV)
        TARGET_LINK_LIBRARIES(traverso
                ${LIBLILV_LIBRARIES}
        )
ENDIF(HAVE_LILV)

IF(HAVE_MP3_DECODING)
	TARGET_LINK_LIBRARIES(traverso
		${MAD_LIB}
	)
ENDIF(HAVE_MP3_DECODING)

IF(HAVE_MP3_ENCODING)
	TARGET_LINK_LIBRARIES(traverso
		${LAME_LIB}
	)
ENDIF(HAVE_MP3_ENCODING)


# IF(HAVE_OPENGL)
# 	TARGET_LINK_LIBRARIES(traverso
# 		${QT_QTOPENGL_LIBRARY}
# 	)
# ENDIF(HAVE_OPENGL)

IF(HAVE_ALSA)
TARGET_LINK_LIBRARIES(traverso
	asound
)
ENDIF(HAVE_ALSA)

IF(HAVE_JACK)
TARGET_LINK_LIBRARIES(traverso
	${JACK_LIB}
)
ENDIF(HAVE_JACK)

TARGET_LINK_LIBRARIES(traverso
	dl
)

IF(USE_PCH)
    ADD_DEPENDENCIES(traverso precompiled_headers)
ENDIF(USE_PCH)

SET(EXE_NAME "traverso${TAG_VERSION}")

INSTALL(TARGETS ${EXE_NAME}
  RUNTIME DESTINATION bin)

=== src/commands/plugins/TraversoCommands/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/sheetcanvas
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_COMMAND_PLUGIN_SOURCES
TraversoCommands.cpp
)

SET(TRAVERSO_TRAVERSO_COMMANDS_MOC_CLASSES
TraversoCommands.h
)
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_STATICPLUGIN)


QT4_WRAP_CPP(TRAVERSO_TRAVERSSO_COMMANDS_MOC_SOURCES ${TRAVERSO_TRAVERSO_COMMANDS_MOC_CLASSES})

SET(TRAVERSO_COMMAND_PLUGIN_LIBRARY "tcp_traversocommands")


ADD_LIBRARY(${TRAVERSO_COMMAND_PLUGIN_LIBRARY} STATIC ${TRAVERSO_COMMAND_PLUGIN_SOURCES} ${TRAVERSO_TRAVERSSO_COMMANDS_MOC_SOURCES})

IF(USE_PCH)
    ADD_DEPENDENCIES(tcp_traversocommands precompiled_headers)
ENDIF(USE_PCH)

=== debian/changelog ===
traverso (0.49.4-2) unstable; urgency=medium

  * Team upload.

  * debian/control:
    - Update VCS fields.
    - Bump standards to 3.9.8.
  * debian/dirs:
    - Drop useless dirs file.
  * debian/menu, debian/traverso.xpm
    - Drop menu file and xpm icon.
  * debian/patches:
    - Fix FTBFS with GCC 6. (Closes: #812022)
  * debian/rules:
    - Move linker flags to standard dpkg-buildflags variable.
    - Enable all hardening flags.

 -- James Cowgill <jcowgill@debian.org>  Fri, 22 Jul 2016 18:36:57 +0100

traverso (0.49.4-1) unstable; urgency=low

  * Bump Standards.
  * Switch from slv2 to lilv.
  * Update VCS urls.
  * Add keywords entry to desktop file.
  * Set compat/dh 9.
  * Add patch to fix build.
  * Add patch to fix spelling.
  * Pass LDFLAGS.
  * Add myself as uploader.
  * Provide code for Exec key in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Oct 2014 15:09:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Gürkan Sengün <gurkan@phys.ethz.ch>
+ Gürkan Sengün <gurkan@phys.ethz.ch>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 7.3.7~),
+ debhelper (>= 9),
  libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
  libfftw3-dev,
  libflac++-dev,
@@ -18,14 +19,14 @@
  libqt4-opengl-dev,
  librdf0-dev,
  libsamplerate0-dev,
- libslv2-dev,
+ liblilv-dev,
  libsndfile1-dev,
  libvorbis-dev,
  libwavpack-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 Homepage: http://traverso-daw.org/
-Vcs-Git: git://git.debian.org/pkg-multimedia/traverso.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/traverso.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/traverso.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/traverso.git
 
 Package: traverso
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
cmake_extra_args += -DWANT_ALSA=OFF
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-undefined -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DUSE_SYSTEM_SLV2_LIBRARY=ON \
	-DWANT_MP3_ENCODE=ON \
	$(cmake_extra_args)

override_dh_install:
	dh_install debian/*.desktop usr/share/applications/
